
model.folders = createFolders();

function createFolders() {
   try {
      var path = args["path"];
      if(!json.has("folders")) {
            return({"status":{"code":2000, "name":"Incorrect data error", "description":"Operation(s) failed - incorrect or no data received."}, "message":"createFolders - failed (incorrect or no data received)"});
      }
      var folders = json.get("folders");
      var managers = json.get("managers");

      if(path == null || path == "") {
         createSubFolders(companyhome, folders, managers);
         return({"status":{"code":1000, "name":"Success", "description":"Operation(s) successfully completed."}, "message":"createFolders in Company Home - successful"});
      } else {
         var folder = companyhome.childByNamePath("/" + path);
         if(folder != null) {
            createSubFolders(folder, folders, managers);
            return({"status":{"code":1000, "name":"Success", "description":"Operation(s) successfully completed."}, "message":"createFolders in Company Home/" + path + " - successful"});
         } else {
            return({"status":{"code":2001, "name":"Error", "description":"Operation(s) failed."}, "message":"createFolders in Company Home/" + path + " - failed (path does not exist)"});
         }
      }
   } catch(e) {
      status.setCode(status.STATUS_INTERNAL_SERVER_ERROR, e.toString());
      return;
   }
}

function createSubFolders(folderNode, folders, managers) {
   for(var i = 0, len = folders.length(); i < len; i++) {
      var folder = folders.getJSONObject(i);
     
      if(folder.has("name")) {
         var subFolderNode = folderNode.childByNamePath("/" + folder.get("name"));
       
          if(subFolderNode == null) {


            subFolderNode = folderNode.createFolder(folder.get("name"));
               for(var j = 0, len = managers.length(); j < len; j++) {

                  var managerName = managers.getJSONObject(j);
                  subFolderNode.setPermission("Contributor", managerName.getString("manager"));
               }
            
          }
          if(folder.has("subfolders")) {
            createSubFolders(subFolderNode, folder.getJSONArray("subfolders"), managers);
          }
      
     }
   }
}